Skip to main content
DELETE
/
api
/
external
/
companies
/
{companyId}
/
configuration
/
fields
/
{fieldId}
Delete Configuration Field
curl --request DELETE \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/configuration/fields/{fieldId} \
  --header 'Authorization: <api-key>'
import requests

url = "https://app.aiinsurance.io/api/external/companies/{companyId}/configuration/fields/{fieldId}"

headers = {"Authorization": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};

fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/configuration/fields/{fieldId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "550e8400-e29b-41d4-a716-446655440100",
  "deleted": true
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

fieldId
string<uuid>
required

Configuration field identifier

Response

Configuration field deleted successfully

id
string<uuid>

The ID of the deleted configuration field

deleted
boolean

Confirmation that the field was deleted